body {
    /* overflow needed because app.js isnt included in contact.html to covert this back from loading page */
    overflow: auto;
    font-family: "DM Sans", Helvetica, sans-serif;
    background: white;
    margin: 0;
}

#container {
    padding: 10vw 6vw 10vw 6vw;
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: fit-content;
    overflow-x: hidden;
    overflow-y: hidden;
}

section {
    padding-top: 6vw;
    margin-bottom: 20vw;
}

#jump-to-section {
    position: relative;
    margin: 2vh 0 3vh 0;
    padding: 5vw;
    display: inline-block;
    flex-direction: column;

    left: 50%;
    transform: translateX(-50%);

    border-radius: clamp(15px, 1vw, 100px);
    box-shadow: 0px 5px 3vh 0vw rgba(0, 0, 0, 0.15);
    border: 0.5vw solid #dfdfdf;
}

.section-link {
    display: flex;
    margin: 0.5vh 0 0.5vh 0;
    gap: 10px;
}

.flexbox {
    display: flex;
    flex-direction: column;
    margin-bottom: 3vw;
    gap: 3vw;
    width: 100%;
}

.flexitem-half {
    flex: 1 1 0;
    overflow: visible;
    margin-bottom: 2vh;
}

.flexitem-model {
    overflow: visible;
}

h1 {
    text-align: center;
    margin: 0 0 3vw 0;
    font-weight: 900;
    font-size: clamp(30px, 6vw, 60px);
    line-height: 1.2;
    color: #282828;
}

h2 {
    margin: 0 0 0.8vw 0;
    font-weight: 600;
    font-size: clamp(14px, 4vw, 30px);
    line-height: 1.15;
    color: #1a1a1a;
}

p,
a,
ol {
    margin: 0;
    font-size: clamp(14px, 2vw, 18px);
    color: #070707;
    font-weight: 200;
}

.gallery-item {
    position: relative;
    max-width: 100%;

    border-radius: 1vw;
    box-shadow: 0px 5px 2vw 0vw rgba(0, 0, 0, 0.15);
}

#model {
    overflow: hidden;
    width: 100%;
    aspect-ratio: 1/1;
    z-index: 1;
}

.iframe-item {
    position: relative;
    max-width: 100%;
    width: 100%;
    aspect-ratio: 3/2;

    border-radius: 1vw;
    border: none;
    box-shadow: 0px 5px 2vw 0vw rgba(0, 0, 0, 0.15);
}

/* FOR YOUTUBE VIDS */
.landscape {
    border: none;
    width: 100%;
    aspect-ratio: 16 / 9;
}
.portrait {
    border: none;
    width: 100%;
    aspect-ratio: 9 / 16;
}

.shadow {
    position: fixed;
    /* https://non-boring-gradients.netlify.app/ */
    background-image: linear-gradient(
        0deg,
        rgb(100% 100% 100%) 0%,
        rgb(100% 100% 100% / 0.87890625) 6.25%,
        rgb(100% 100% 100% / 0.765625) 12.5%,
        rgb(100% 100% 100% / 0.66015625) 18.75%,
        rgb(100% 100% 100% / 0.5625) 25%,
        rgb(100% 100% 100% / 0.47265625) 31.25%,
        rgb(100% 100% 100% / 0.390625) 37.5%,
        rgb(100% 100% 100% / 0.31640625) 43.75%,
        rgb(100% 100% 100% / 0.25) 50%,
        rgb(100% 100% 100% / 0.19140625) 56.25%,
        rgb(100% 100% 100% / 0.140625) 62.5%,
        rgb(100% 100% 100% / 0.09765625) 68.75%,
        rgb(100% 100% 100% / 0.0625) 75%,
        rgb(100% 100% 100% / 0.03515625) 81.25%,
        rgb(100% 100% 100% / 0.015625) 87.5%,
        rgb(100% 100% 100% / 0.00390625) 93.75%,
        rgb(100% 100% 100% / 0) 100%
    );
    width: 100%;
    height: 12vh;
    bottom: 0;
}

/* DESKTOP */
@media only screen and (min-width: 600px) {
    /* was: (768px Desktop Styling) */
    #container {
        padding: 10vw 12vw 10vw 12vw;
    }

    #jump-to-section {
        padding: 2vw;
        border: 0.2vw solid #dfdfdf;
    }

    .flexitem-model {
        overflow: hidden;
    }

    .flexitem-half {
        margin-bottom: 0;
    }

    .CW {
        flex-direction: row-reverse;
    }

    .CCW {
        flex-direction: row;
    }

    .shadow {
        opacity: 0;
    }
}
